SparrowDesk
Companies

Retrieve a company

GET
/companies/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Unique identifier of the company

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/companies/0"
{
  "data": {
    "id": 0,
    "name": "string",
    "domains": [
      "string"
    ],
    "domain": "string",
    "logo": "string",
    "industry": "string",
    "phone": "string",
    "address": "string",
    "notes": "string",
    "other_details": {},
    "total_contacts_linked": 0,
    "created_at": 0,
    "updated_at": 0,
    "company_note": [
      {
        "id": 0,
        "title": "string",
        "description": "string",
        "attachments": [
          {
            "id": 0,
            "url": "string",
            "file_name": "string",
            "content_type": "string",
            "size": 0,
            "status": "string"
          }
        ]
      }
    ]
  }
}
{
  "message": "Unauthorized"
}
{
  "error": {
    "message": "Company not found"
  }
}
{
  "error": {
    "message": "string"
  }
}
{
  "name": "RateLimitExceeded",
  "message": "Rate limit exceeded for: APIS_PER_MINUTE",
  "code": 429,
  "details": [
    {
      "name": "APIS_PER_MINUTE",
      "quota": 0,
      "count": 0,
      "remaining": 0
    }
  ]
}
{
  "error": {
    "message": "Error while retrieving company"
  }
}